#ifndef PACO_GRID_MAPPING_H
#define PACO_GRID_MAPPING_H
/**
 * \file paco_grid_mapping.h
 * \brief image-patch space mapping based on a regular patches grid 
 */

#include "paco_mapping.h"
/**
 * \brief Creates an instance of a grid-based mapper using the input mask, the patch width and the stride as input.
 * NOTE: The input and the mask are assumed to be already padded!
 */
void paco_grid_mapping_init(const gsl_matrix_float* input, const gsl_matrix_float* mask, index_t w, index_t s);

#endif