#!/bin/bash
#
# THIS SCRIPT MUST BE RUN FROM THE ROOT OF THE PROJECT
#
#
ARGS="-w 32 -l 10 -m 1024 -e 1e-4 -k 0.9 -l 500"
m="2"
type='gray'
mkdir -p ./results/${type}/kodak/
for i in 01 02 03 05 06 07 08 11 12 13 14 15 16 20 21 22 23 24
do
    input="data/image/${type}/kodak/kodim${i}.png"
    for S in 2 4 8 16 20 24 28 32 # 1
    do
	mask="data/image/masks/inpaint_768x512_${m}.png"
        output="results/${type}/kodak/kodim${i}_${m}.png"
	./code/paco_dct_inpaint_tool ${ARGS} ${input} ${mask} ${output} ${input} -s $S 
    	sleep 5
    done
    sleep 5
done
#
for i in 04 09 10 17 18 19 
do
    input="data/image/${type}/kodak/kodim${i}.png"
    for S in 2 4 8 16 20 24 28 32 # 1
    do
        mask="data/image/masks/inpaint_512x768_${m}.png"
        output="results/${type}/kodak/kodim${i}_${m}.png"
	./code/paco_dct_inpaint_tool ${ARGS} ${input} ${mask} ${output} ${input} -s $S  $*
    	sleep 5
    done
done
    
